%define _disable_ld_no_undefined 1

%define libname %mklibname bacula 7
%define sql_libname %mklibname bacula-sql 7
%define devel %mklibname -d bacula

%define bacula_user bacula

# directories and paths
%define bacula_confdir %{_sysconfdir}/bacula
%define script_dir %{_libexecdir}/bacula
%define bacula_home_dir %{_localstatedir}/lib/bacula
%define archivedir %{_localstatedir}/spool/bacula
%define subsysdir %{_localstatedir}/lock/subsys
%define log_dir %{_logdir}/bacula

# Prevent the non-existant libbacats-x.x.x.so library to be required. The library
# is provided by the libbacats-database-x.x.x.so variants and selected with the
# update-alternatives mechanism.
# RPM complains, as the shared object name it is always libbacats-x.x.x.so in all
# the database shared object variants.

%global __requires_exclude ^libbaccats.*\\.so.*$

# fixes passwords in configuration files
# removing "SubSys Directory" is needed if upgrading from 1.30a or lower
%define post_fix_config() {\
umask 0037;\
if [ -s %{bacula_confdir}/.pw.sed ]; then\
    for i in %{bacula_confdir}/%{1}.conf %{bacula_confdir}/%{1}.conf.rpmnew; do\
        if [ -s $i ]; then\
            sed -i -f %{bacula_confdir}/.pw.sed $i;\
            sed -i -e '/SubSys[[:space:]]*Directory/I d' $i;\
        fi;\
    done;\
fi;\
}


Name:               bacula
Epoch:              1
Version:            13.0.1
Release:            %mkrel 1
Summary:            Cross platform network backup for Linux, Unix, Mac and Windows
# See LICENSE for details
License:            AGPLv3 with exceptions
Group:              Archiving/Backup
URL:                https://www.bacula.org/

Source0:            https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

Source2:            quickstart_postgresql.txt
Source3:            quickstart_mysql.txt
Source4:            quickstart_sqlite3.txt
Source5:            README.mageia
Source6:            %{name}.logrotate
Source7:            %{name}-fd-tmpfiles.conf
Source8:            %{name}-dir-tmpfiles.conf
Source9:            %{name}-sd-tmpfiles.conf
Source10:           %{name}-fd.service
Source11:           %{name}-dir.service
Source12:           %{name}-sd.service
Source15:           %{name}-fd.sysconfig
Source16:           %{name}-dir.sysconfig
Source17:           %{name}-sd.sysconfig

Patch1:             %{name}-9.0.6-openssl.patch
Patch2:             %{name}-9.0.0-queryfile.patch
Patch3:             %{name}-9.0.4-sqlite-priv.patch
Patch4:             %{name}-9.0.6-bat-build.patch
Patch5:             %{name}-9.0.0-seg-fault.patch
Patch6:             %{name}-5.2.13-logwatch.patch
# desktop-file-install not supported on RHEL 6
Patch8:             %{name}-9.0.2-desktop.patch
Patch100:           %{name}-mageia-platform.patch

BuildRequires:      desktop-file-utils
BuildRequires:      perl
BuildRequires:      sed

BuildRequires:      glibc-devel
BuildRequires:      ImageMagick
BuildRequires:      libacl-devel
BuildRequires:      libstdc++-devel
BuildRequires:      pkgconfig(libxml-2.0)
BuildRequires:      pkgconfig(libcap)
BuildRequires:      liblzo
BuildRequires:      mysql-devel
BuildRequires:      pkgconfig(ncurses)
BuildRequires:      pkgconfig(openssl)
BuildRequires:      postgresql-devel
BuildRequires:      readline-devel
BuildRequires:      pkgconfig(zlib)
BuildRequires:      pkgconfig(Qt5Core)
BuildRequires:      pkgconfig(Qt5Gui)
BuildRequires:      pkgconfig(Qt5Widgets)
BuildRequires:      tcp_wrappers-devel
BuildRequires:      pkgconfig(sqlite3)
BuildRequires:      systemd

%description
Bacula is a set of programs that allow you to manage the backup, recovery, and
verification of computer data across a network of different computers. It is
based on a client/server architecture and is efficient and relatively easy to
use, while offering many advanced storage management features that make it easy
to find and recover lost or damaged files.


%package            -n %{libname}
Summary:            Bacula libraries
Group:              System/Libraries

%description        -n %{libname}
Bacula is a set of programs that allow you to manage the backup,
recovery, and verification of computer data across a network of
different computers. It is based on a client/server architecture.

This package contains basic Bacula libraries, which are used by all
Bacula programs.


%package            -n %{sql_libname}
Summary:            Bacula SQL libraries
Group:              System/Libraries
Provides:           bacula-libs-mysql = %{version}-%{release}
Provides:           bacula-libs-sqlite3 = %{version}-%{release}
Provides:           bacula-libs-postgresql = %{version}-%{release}

%description        -n %{sql_libname}
Bacula is a set of programs that allow you to manage the backup, recovery, and
verification of computer data across a network of different computers. It is
based on a client/server architecture.

This package contains the SQL Bacula libraries, which are used by Director and
Storage daemons. You have to select your preferred catalog library through the
alternatives system.


%package            common
Summary:            Common Bacula files
Group:              Archiving/Backup
Requires:           %{libname}  = %{epoch}:%{version}-%{release}
Requires(pre):      shadow-utils
Requires(postun):   shadow-utils

%description        common
Bacula is a set of programs that allow you to manage the backup, recovery, and
verification of computer data across a network of different computers. It is
based on a client/server architecture.

This package contains files common to all Bacula daemons.


%package            dir
Summary:            Bacula Director files
Group:              Archiving/Backup
Requires:           bacula-common  = %{epoch}:%{version}-%{release}
Requires:           %{libname}  = %{epoch}:%{version}-%{release}
Requires:           %{sql_libname}  = %{epoch}:%{version}-%{release}
Requires:           logwatch
# Director backends merged into core.
Provides:           bacula-dir-common = %{epoch}:%{version}-%{release}
Provides:           bacula-dir-mysql = %{epoch}:%{version}-%{release}
Provides:           bacula-dir-sqlite3 = %{epoch}:%{version}-%{release}
Provides:           bacula-dir-postgresql = %{epoch}:%{version}-%{release}
Requires(post):     rpm-helper >= %{rpmhelper_required_version}
Requires(preun):    rpm-helper >= %{rpmhelper_required_version}

%description        dir
Bacula is a set of programs that allow you to manage the backup, recovery, and
verification of computer data across a network of different computers. It is
based on a client/server architecture.

This package contains the director files.


%package            sd
Summary:            Bacula storage daemon files
Group:              Archiving/Backup
Requires:           bacula-common  = %{epoch}:%{version}-%{release}
Requires:           %{libname}   = %{epoch}:%{version}-%{release}
Requires:           %{sql_libname}  = %{epoch}:%{version}-%{release}
Requires:           mt-st
Requires:           mtx
# Storage backends merged into core.
Provides:           bacula-sd-common = %{version}-%{release}
Provides:           bacula-sd-mysql = %{version}-%{release}
Provides:           bacula-sd-sqlite3 = %{version}-%{release}
Provides:           bacula-sd-postgresql = %{version}-%{release}

Requires(post):     rpm-helper >= %{rpmhelper_required_version}
Requires(preun):    rpm-helper >= %{rpmhelper_required_version}

%description        sd
Bacula is a set of programs that allow you to manage the backup, recovery, and
verification of computer data across a network of different computers. It is
based on a client/server architecture.

This package contains the storage daemon, the daemon responsible for writing
the data received from the clients onto tape drives or other mass storage
devices.


%package            fd
Summary:            Bacula backup client
Group:              Archiving/Backup
Requires:           bacula-common  = %{epoch}:%{version}-%{release}
Requires:           %{libname}   = %{epoch}:%{version}-%{release}

# this is for useradd, groupadd, etc.
Requires(post):     rpm-helper >= %{rpmhelper_required_version}
Requires(preun):    rpm-helper >= %{rpmhelper_required_version}
Requires(pre):      %{_sbindir}/useradd
Requires(pre):      %{_sbindir}/groupadd

%description        fd
Bacula is a set of programs that allow you to manage the backup, recovery, and
verification of computer data across a network of different computers. It is
based on a client/server architecture.

This package contains the bacula client, the daemon running on the system to be
backed up.


%package            console
Summary:            Bacula management console
Group:              Archiving/Backup
Requires:           %{libname}  = %{epoch}:%{version}-%{release}

%description console
Bacula is a set of programs that allow you to manage the backup, recovery, and
verification of computer data across a network of different computers. It is
based on a client/server architecture.

This package contains the command-line management console for the bacula backup
system.


%package            bat
Summary:            Bacula bat console
Group:              Archiving/Backup
Requires:           %{libname}   = %{epoch}:%{version}-%{release}

%description        bat
Bacula is a set of programs that allow you to manage the backup, recovery, and
verification of computer data across a network of different computers. It is
based on a client/server architecture.

This package contains the bat version of the bacula management console.


%package            tray-monitor
Summary:            Bacula system tray monitor
Group:              Archiving/Backup
Requires:           %{libname}   = %{epoch}:%{version}-%{release}

%description        tray-monitor
Bacula is a set of programs that allow you to manage the backup, recovery, and
verification of computer data across a network of different computers. It is
based on a client/server architecture.

This package contains the Gnome and KDE compatible tray monitor to monitor your
bacula server.


%package            -n %{devel}
Summary:            Bacula development files
Group:              System/Libraries
Requires:           %{libname}   = %{epoch}:%{version}-%{release}
Requires:           %{sql_libname}  = %{epoch}:%{version}-%{release}
Conflicts:          %{_lib}bacula-sql7 < 1:9.0.6-2

%description        -n %{devel}
Bacula is a set of programs that allow you to manage the backup, recovery, and
verification of computer data across a network of different computers. It is
based on a client/server architecture.

This development package contains static libraries and header files.


%package            -n nagios-plugins-bacula
Summary:            Nagios Plugin - check_bacula
Group:              Archiving/Backup
Requires:           %{libname}   = %{epoch}:%{version}-%{release}
Requires:           nagios

%description        -n nagios-plugins-bacula
Provides check_bacula support for Nagios.


%prep
%setup -q
%autopatch -p1

cp %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} .

# Remove execution permissions from files we're packaging as docs later on
find updatedb -type f | xargs chmod -x


%build
export CFLAGS="%{optflags} -I%{_includedir}/ncurses"
export CPPFLAGS="%{optflags} -I%{_includedir}/ncurses"
%configure \
        --disable-conio \
        --disable-rpath \
        --docdir=%{_datadir}/bacula \
        --enable-bat \
        --enable-batch-insert \
        --enable-build-dird \
        --enable-build-stored \
        --enable-includes \
        --enable-largefile \
        --enable-readline \
        --enable-smartalloc \
        --sysconfdir=%{_sysconfdir}/bacula \
        --with-basename=bacula \
        --with-bsrdir=%{archivedir} \
        --with-dir-password=@@DIR_PASSWORD@@ \
        --with-fd-password=@@FD_PASSWORD@@ \
        --with-hostname=localhost \
        --with-logdir=%{log_dir} \
        --with-mon-dir-password=@@MON_DIR_PASSWORD@@ \
        --with-mon-fd-password=@@MON_FD_PASSWORD@@ \
        --with-mon-sd-password=@@MON_SD_PASSWORD@@ \
        --with-mysql \
        --with-openssl \
        --with-pid-dir=%{_localstatedir}/run \
        --with-plugindir=%{_libdir}/bacula \
        --with-postgresql \
        --with-scriptdir=%{script_dir} \
        --with-sd-password=@@SD_PASSWORD@@ \
        --with-smtp-host=localhost \
        --with-sqlite3 \
        --with-subsys-dir=%{subsysdir} \
        --with-tcp-wrappers \
        --with-working-dir=%{archivedir} \
        --with-x

# Remove RPATH
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build
make -C examples/nagios/check_bacula


pushd src/qt-console/tray-monitor
    %qmake_qt5 tray-monitor.pro
    %make_build
popd


%install
%make_install

# Nagios plugin
%{__install} -p -m 755 -D examples/nagios/check_bacula/.libs/check_bacula %{buildroot}%{_libdir}/nagios/plugins/check_bacula

# Remove catalogue backend symlinks
rm -f %{buildroot}%{_libdir}/libbaccats.so
rm -f %{buildroot}%{_libdir}/libbaccats-%{version}.so


# Bat
%{__install} -p -m 755 -D src/qt-console/.libs/bat %{buildroot}%{_sbindir}/bat
%{__install} -p -m 644 -D src/qt-console/images/bat_icon.png %{buildroot}%{_datadir}/pixmaps/bat_icon.png
%{__install} -p -m 644 -D scripts/bat.desktop %{buildroot}%{_datadir}/applications/bat.desktop

# QT Tray monitor
%{__install} -p -m 755 -D src/qt-console/tray-monitor/.libs/bacula-tray-monitor %{buildroot}%{_sbindir}/bacula-tray-monitor
%{__install} -p -m 644 -D src/qt-console/tray-monitor/tray-monitor.conf %{buildroot}%{bacula_confdir}/bacula-tray-monitor.conf
%{__install} -p -m 644 -D src/qt-console/images/bat_icon.png %{buildroot}%{_datadir}/pixmaps/bacula-tray-monitor.png
%{__install} -p -m 644 -D manpages/bacula-tray-monitor.1 %{buildroot}%{_mandir}/man1/bacula-tray-monitor.1
%{__install} -p -m 644 -D scripts/bacula-tray-monitor.desktop %{buildroot}%{_datadir}/applications/bacula-tray-monitor.desktop


# Logrotate
%{__mkdir_p} %{buildroot}%{_localstatedir}/log/bacula
%{__install} -D -p -m 644 -D %{SOURCE6} %{buildroot}%{_sysconfdir}/logrotate.d/bacula

# Logwatch
%{__install} -D -p -m 755 -D scripts/logwatch/bacula %{buildroot}%{_sysconfdir}/logwatch/scripts/services/bacula
%{__install} -D -p -m 755 -D scripts/logwatch/applybaculadate %{buildroot}%{_sysconfdir}/logwatch/scripts/shared/applybaculadate
%{__install} -D -p -m 644 -D scripts/logwatch/logfile.bacula.conf %{buildroot}%{_sysconfdir}/logwatch/conf/logfiles/bacula.conf
%{__install} -D -p -m 644 -D scripts/logwatch/services.bacula.conf %{buildroot}%{_sysconfdir}/logwatch/conf/services/bacula.conf


# Systemd unit files
%{__mkdir_p} %{buildroot}%{_unitdir}
%{__install} -p -m 644 -D %{SOURCE10} %{buildroot}%{_unitdir}/bacula-fd.service
%{__install} -p -m 644 -D %{SOURCE11} %{buildroot}%{_unitdir}/bacula-dir.service
%{__install} -p -m 644 -D %{SOURCE12} %{buildroot}%{_unitdir}/bacula-sd.service

# Systemd tmpfiles
%{__mkdir_p} %{buildroot}%{_tmpfilesdir}
%{__install} -p -m 0644 %{SOURCE7} %{buildroot}%{_tmpfilesdir}/%{name}-fd.conf
%{__install} -p -m 0644 %{SOURCE8} %{buildroot}%{_tmpfilesdir}/%{name}-dir.conf
%{__install} -p -m 0644 %{SOURCE9} %{buildroot}%{_tmpfilesdir}/%{name}-sd.conf


# Sysconfig
%{__install} -p -m 644 -D %{SOURCE15} %{buildroot}%{_sysconfdir}/sysconfig/bacula-fd
%{__install} -p -m 644 -D %{SOURCE16} %{buildroot}%{_sysconfdir}/sysconfig/bacula-dir
%{__install} -p -m 644 -D %{SOURCE17} %{buildroot}%{_sysconfdir}/sysconfig/bacula-sd

# Spool directory
%{__mkdir_p} %{buildroot}%{_localstatedir}/spool/bacula

# Remove stuff we do not need
rm -f %{buildroot}%{_libexecdir}/bacula/{bacula,bacula-ctl-*,startmysql,stopmysql,bconsole,make_catalog_backup}
rm -f %{buildroot}%{_sbindir}/bacula
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_datadir}/bacula/{ChangeLog,INSTALL,LICENSE*,README,ReleaseNotes,VERIFYING,technotes}




%post -n %{sql_libname}
# Add alternative on unversioned library, so it's not broken during upgrades,
# and use the versioned library as a slave alternative.
/usr/sbin/alternatives \
    --install %{_libdir}/libbaccats.so libbaccats.so %{_libdir}/libbaccats-mysql.so 50 \
    --slave %{_libdir}/libbaccats-%{version}.so libbaccats-%{version}.so %{_libdir}/libbaccats-mysql-%{version}.so
/usr/sbin/alternatives \
    --install %{_libdir}/libbaccats.so libbaccats.so %{_libdir}/libbaccats-sqlite3.so 40 \
    --slave %{_libdir}/libbaccats-%{version}.so libbaccats-%{version}.so %{_libdir}/libbaccats-sqlite3-%{version}.so
/usr/sbin/alternatives \
    --install %{_libdir}/libbaccats.so libbaccats.so %{_libdir}/libbaccats-postgresql.so 60 \
    --slave %{_libdir}/libbaccats-%{version}.so libbaccats-%{version}.so %{_libdir}/libbaccats-postgresql-%{version}.so

# Fix for automatic selection of backends during upgrades
if readlink /etc/alternatives/libbaccats.so | grep --silent postgresql || \
   readlink /etc/alternatives/bacula-dir | grep --silent postgresql || \
   readlink /etc/alternatives/bacula-sd | grep --silent mysql; then
        /usr/sbin/alternatives --set libbaccats.so %{_libdir}/libbaccats-postgresql.so
elif readlink /etc/alternatives/libbaccats.so | grep --silent sqlite || \
   readlink /etc/alternatives/bacula-dir | grep --silent sqlite || \
   readlink /etc/alternatives/bacula-sd | grep --silent sqlite; then
        /usr/sbin/alternatives --set libbaccats.so %{_libdir}/libbaccats-sqlite3.so
else
        /usr/sbin/alternatives --set libbaccats.so %{_libdir}/libbaccats-mysql.so
fi


%preun -n %{sql_libname}
if [ "$1" = 0 ]; then
        /usr/sbin/alternatives --remove libbaccats.so %{_libdir}/libbaccats-mysql.so
        /usr/sbin/alternatives --remove libbaccats.so %{_libdir}/libbaccats-sqlite3.so
        /usr/sbin/alternatives --remove libbaccats.so %{_libdir}/libbaccats-postgresql.so
fi

%pre common
if [ ! -e %{bacula_confdir} ]; then
    %{__mkdir_p} %{bacula_confdir}
fi

%_pre_useradd %{bacula_user} %{bacula_home_dir} /usr/sbin/nologin
%_pre_groupadd %{bacula_user}
# generating passwords, ensuring it is not visible in process list
for string in @@DIR_PASSWORD@@ @@MON_DIR_PASSWORD@@ @@FD_PASSWORD@@ @@MON_FD_PASSWORD@@ @@SD_PASSWORD@@ @@MON_SD_PASSWORD@@ ; do
    if ! grep -qs "$string" %{bacula_confdir}/.pw.sed; then
        echo -n "s!$string!" >> %{bacula_confdir}/.pw.sed
        openssl rand -base64 33 | sed -e 's/$/!g/'  >> %{bacula_confdir}/.pw.sed
    fi
done

%post common
%post_fix_config *

%postun common
%_postun_userdel %{bacula_user}
%_postun_groupdel %{bacula_user}


%post fd
%post_fix_config %{name}-fd
%_tmpfilescreate %{name}-fd
%_post_service %{name}-fd

%preun fd
%_preun_service %{name}-fd

%post dir
%post_fix_config %{name}-dir
%_tmpfilescreate %{name}-dir
%_post_service %{name}-dir

%preun dir
%_preun_service %{name}-dir

%post sd
%post_fix_config %{name}-sd
%_tmpfilescreate %{name}-sd
%_post_service %{name}-sd

%preun sd
%_preun_service %{name}-sd

%post console
%post_fix_config bconsole

%post bat
%post_fix_config bat

%post tray-monitor
%post_fix_config tray-monitor


%files  -n %{libname}
%doc AUTHORS ChangeLog LICENSE SUPPORT ReleaseNotes  LICENSE-FAQ LICENSE-FOSS
%{_libdir}/libbac-%{version}.so
%{_libdir}/libbaccfg-%{version}.so
%{_libdir}/libbacfind-%{version}.so
%{_libdir}/libbacsd-%{version}.so


%files  -n %{sql_libname}
%{_libdir}/libbaccats-mysql-%{version}.so
%{_libdir}/libbaccats-postgresql-%{version}.so
%{_libdir}/libbaccats-sqlite3-%{version}.so
%{_libdir}/libbacsql-%{version}.so


%files common
%doc README.mageia quickstart_*
%config(noreplace) %{_sysconfdir}/logrotate.d/bacula
%dir %{log_dir} %attr(750,%{bacula_user},%{bacula_user})
%dir %{archivedir} %attr(750,%{bacula_user},%{bacula_user})
%dir %{script_dir}
%dir %{bacula_confdir} %attr(755,%{bacula_user},%{bacula_user})
%{_libexecdir}/%{name}/btraceback.dbx
%{_libexecdir}/%{name}/btraceback.gdb
%{_libexecdir}/%{name}/bacula_config
%{_libexecdir}/%{name}/btraceback.mdb
%{_libexecdir}/%{name}/isworm
%{_mandir}/man8/btraceback.8*
%{_mandir}/man8/bacula.8*
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/btraceback


%files dir
%doc updatedb examples/sample-query.sql
%config(noreplace) %{bacula_confdir}/bacula-dir.conf %attr(640,%{bacula_user},%{bacula_user})
%config(noreplace) %{bacula_confdir}/query.sql %attr(640,%{bacula_user},%{bacula_user})
%config(noreplace) %{_sysconfdir}/logwatch/conf/logfiles/bacula.conf
%config(noreplace) %{_sysconfdir}/logwatch/conf/services/bacula.conf
%config(noreplace) %{_sysconfdir}/sysconfig/bacula-dir
%{_libexecdir}/%{name}/{create,drop,grant,make,update}_{bacula,mysql,sqlite3,postgresql}_{database,tables,privileges}
%{_libexecdir}/%{name}/baculabackupreport
%attr(-,%{bacula_user},%{bacula_user})%{_libexecdir}/%{name}/delete_catalog_backup
%attr(-,%{bacula_user},%{bacula_user})%{_libexecdir}/%{name}/make_catalog_backup.pl
%{_mandir}/man1/bsmtp.1*
%{_mandir}/man8/bacula-dir.8*
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/bdirjson
%{_mandir}/man8/bregex.8*
%{_mandir}/man8/bwild.8*
%{_mandir}/man8/dbcheck.8*
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/bacula-dir
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/bregex
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/bsmtp
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/bwild
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/dbcheck
%{_sysconfdir}/logwatch/scripts/services/bacula
%{_sysconfdir}/logwatch/scripts/shared/applybaculadate
%{_unitdir}/%{name}-dir.service
%{_tmpfilesdir}/%{name}-dir.conf


%files sd
%config(noreplace) %{bacula_confdir}/bacula-sd.conf %attr(640,%{bacula_user},%{bacula_user})
%config(noreplace) %{_sysconfdir}/sysconfig/bacula-sd
%{_libexecdir}/%{name}/disk-changer
%{_libexecdir}/%{name}/mtx-changer
%{_libexecdir}/%{name}/mtx-changer.conf
%{_libexecdir}/%{name}/tapealert
%{_mandir}/man8/bacula-sd.8*
%{_mandir}/man8/bcopy.8*
%{_mandir}/man8/bextract.8*
%{_mandir}/man8/bls.8*
%{_mandir}/man8/bscan.8*
%{_mandir}/man8/btape.8*
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/bacula-sd
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/bcopy
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/bextract
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/bls
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/bscan
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/bsdjson
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/btape
%{_unitdir}/%{name}-sd.service
%{_tmpfilesdir}/%{name}-sd.conf


%files fd
%config(noreplace) %{bacula_confdir}/bacula-fd.conf %attr(640,%{bacula_user},%{bacula_user})
%config(noreplace) %{_sysconfdir}/sysconfig/bacula-fd
%{_mandir}/man8/bacula-fd.8*
%{_libdir}/bacula/bpipe-fd.so
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/bacula-fd
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/bfdjson
%{_unitdir}/%{name}-fd.service
%{_tmpfilesdir}/%{name}-fd.conf


%files console
%config(noreplace) %{bacula_confdir}/bconsole.conf %attr(640,%{bacula_user},%{bacula_user})
%{_mandir}/man8/bconsole.8*
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/bconsole
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/bbconsjson


%files bat
%config(noreplace) %{bacula_confdir}/bat.conf %attr(640,%{bacula_user},%{bacula_user})
%{_datadir}/applications/bat.desktop
%{_datadir}/bacula/*.html
%{_datadir}/bacula/*.png
%{_datadir}/pixmaps/bat_icon.png
%{_mandir}/man1/bat.1*
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/bat


%files tray-monitor
%attr(640,%{bacula_user},%{bacula_user})%config(noreplace) %{bacula_confdir}/bacula-tray-monitor.conf
%{_datadir}/applications/bacula-tray-monitor.desktop
%{_datadir}/pixmaps/bacula-tray-monitor.png
%{_mandir}/man1/bacula-tray-monitor.1*
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/bacula-tray-monitor


%files -n %{devel}
%{_includedir}/bacula
%{_libdir}/libbac.so
%{_libdir}/libbac{cfg,find,sd,sql,cats-mysql,cats-postgresql,cats-sqlite3}.so


%files -n nagios-plugins-bacula
%{_libdir}/nagios/plugins/check_bacula


%changelog
* Mon Oct 10 2022 neoclust <neoclust> 1:13.0.1-1.mga9
+ Revision: 1896113
- New version 13.0.1

* Sun Aug 14 2022 neoclust <neoclust> 1:13.0.0-1.mga9
+ Revision: 1877646
- New version 13.0.0

* Sun Apr 03 2022 umeabot <umeabot> 1:11.0.5-2.mga9
+ Revision: 1842835
- Mageia 9 Mass Rebuild
+ jibz <jibz>
- Fixing bugs 28633 28630 28618:
- fixing file owner from root to bacula for configuration files,
- getting ride of wrapper installing binaries into sbin instead of /usr/sbin/.libs,
- remove one of the double configuration file
- Code factoring in %%files section
- Remove useless source 19 (tray icon) and using cartriage1.png (used and visible on screenshot from bacula.org)

* Fri Jan 14 2022 mrambo3501 <mrambo3501> 1:11.0.5-1.mga9
+ Revision: 1768295
- version 11.0.5
- rediff patches 2 and 4

* Sat Oct 02 2021 wally <wally> 1:9.6.7-3.mga9
+ Revision: 1747437
- rebuild for openssl 3.0.0

* Sun Apr 18 2021 neoclust <neoclust> 1:9.6.7-2.mga9
+ Revision: 1716586
- Create bacula sysconfdir folder in %%pre,
  without this the package does not install

* Wed Dec 16 2020 neoclust <neoclust> 1:9.6.7-1.mga8
+ Revision: 1658228
- new version 9.6.7
+ luigiwalser <luigiwalser>
- 9.6.6
- remove ancient obsoletes
+ umeabot <umeabot>
- Rebuild for new Qt5
+ shlomif <shlomif>
- New version 9.6.5

* Thu Apr 09 2020 shlomif <shlomif> 1:9.6.3-1.mga8
+ Revision: 1565789
- New version 9.6.3

* Tue Feb 18 2020 umeabot <umeabot> 1:9.4.4-3.mga8
+ Revision: 1542027
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 1:9.4.4-2.mga8
+ Revision: 1475933
- rebuild for readline

* Sat Jun 29 2019 shlomif <shlomif> 1:9.4.4-1.mga8
+ Revision: 1415981
- New version 9.4.4

* Sat Mar 30 2019 umeabot <umeabot> 1:9.4.2-4.mga7
+ Revision: 1381299
- Qt5 Rebuild

* Mon Mar 11 2019 daviddavid <daviddavid> 1:9.4.2-3.mga7
+ Revision: 1374247
- remove unneeded build dependency on sqlite

* Fri Feb 15 2019 shlomif <shlomif> 1:9.4.2-2.mga7
+ Revision: 1367470
- Fix /usr/sbin/bsmtp and other file permissions (mga#24216)

* Thu Feb 07 2019 shlomif <shlomif> 1:9.4.2-1.mga7
+ Revision: 1363973
- New version 9.4.2

* Sat Dec 29 2018 shlomif <shlomif> 1:9.4.1-1.mga7
+ Revision: 1346537
- New version 9.4.1

* Thu Nov 22 2018 shlomif <shlomif> 1:9.2.2-1.mga7
+ Revision: 1333220
- New version 9.2.2

* Fri Sep 21 2018 umeabot <umeabot> 1:9.0.8-2.mga7
+ Revision: 1295254
- Mageia 7 Mass Rebuild

* Sat Jun 02 2018 shlomif <shlomif> 1:9.0.8-1.mga7
+ Revision: 1233639
- New version 9.0.8

* Mon May 14 2018 daviddavid <daviddavid> 1:9.0.7-1.mga7
+ Revision: 1229420
- new version: 9.0.7
- compile against openssl 1.1.0
- update bat-build patch

* Thu Jan 04 2018 wally <wally> 1:9.0.6-1.mga7
+ Revision: 1190106
- redo P4
- move devel files to devel pkg
+ shlomif <shlomif>
- New version 9.0.6

* Wed Nov 22 2017 tv <tv> 1:9.0.4-2.mga7
+ Revision: 1178661
- rebuild for new openssl

* Tue Sep 26 2017 tv <tv> 1:9.0.4-1.mga7
+ Revision: 1159943
- fix "Macro expanded in comment"
- remove bacula-checkconf stuff
- BR ImageMagick
- build with compat-openssl10-devel
- new release

* Mon Jul 17 2017 shlomif <shlomif> 1:7.4.7-1.mga7
+ Revision: 1124265
- New version 7.4.7

* Sat Sep 10 2016 daviddavid <daviddavid> 1:7.4.3-3.mga6
+ Revision: 1051360
- rebuild to regenerate rpms (they were mistakenly replaced with those of Updates_testing)

* Thu Jul 21 2016 tmb <tmb> 1:7.4.3-2.mga6
+ Revision: 1043015
- submit to release

* Thu Jul 21 2016 dlucio <dlucio> 1:7.4.3-1.mga6
+ Revision: 1042955
- 7.4.3

* Fri Mar 18 2016 daviddavid <daviddavid> 1:7.4.0-7.mga6
+ Revision: 992698
- rename and rediff unappliable seg-fault patch (since fixed autopatch)

* Wed Mar 02 2016 umeabot <umeabot> 1:7.4.0-6.mga6
+ Revision: 983152
- Rebuild for openssl

* Sun Feb 28 2016 oden <oden> 1:7.4.0-5.mga6
+ Revision: 980333
- rebuilt for postgresql 9.5.x

* Sun Feb 21 2016 shlomif <shlomif> 1:7.4.0-4.mga6
+ Revision: 975213
- New version 7.4.0

* Mon Jan 04 2016 spuhler <spuhler> 1:7.2.0-4.mga6
+ Revision: 919314
- fixed automatic password creation

* Mon Dec 21 2015 spuhler <spuhler> 1:7.2.0-3.mga6
+ Revision: 913278
- fixed typo
- added "Obsoletes: bacula-backup-mysql-0.6.2"
  *  this hasn't been needed for a long time

* Mon Dec 21 2015 spuhler <spuhler> 1:7.2.0-2.mga6
+ Revision: 913164
- added missing %%_pre_groupadd %%{username} to common

* Tue Oct 27 2015 spuhler <spuhler> 1:7.2.0-1.mga6
+ Revision: 895828
- upgrade to vers. 7.2.0
  * updated to 7.2.0 patches from Fedora
  * removed bpluginfo

* Tue Sep 22 2015 spuhler <spuhler> 1:7.0.5-23.mga6
+ Revision: 882237
- added %%attr(0750,root,bacula}) to %%{_sbindir}/dbcheck
  * bacula-dir needs group bacula  execution access to this file

* Thu Sep 10 2015 spuhler <spuhler> 1:7.0.5-22.mga6
+ Revision: 875330
- bumped rel. Didn't accept it last commit
- moved /.libs/bacula-tray-monitor where upsttream wants it.

* Wed Sep 09 2015 spuhler <spuhler> 1:7.0.5-20.mga6
+ Revision: 875295
- added the missing install  %%{buildroot}%%{_sbindir}/bacula-tray-monitor-qt (from opensuse)
  * fixes bug 16717

* Wed Sep 09 2015 spuhler <spuhler> 1:7.0.5-19.mga6
+ Revision: 875269
- moving Obsoletes: webacula  to the common package
  * doesn't do what it should in the general section

* Wed Sep 09 2015 spuhler <spuhler> 1:7.0.5-18.mga6
+ Revision: 874559
- removed empty %%post lines
- removed all %%post_fix_config
  * we are not upgrading from vers. 1.30A or lower anymore

* Mon Aug 10 2015 spuhler <spuhler> 1:7.0.5-17.mga6
+ Revision: 862447
- chagned group on make_catalog_backup.pl and /delete_catalog_backup to bacula
  * otherwise, the Catalog backup script will not run.

* Sun Jul 26 2015 spuhler <spuhler> 1:7.0.5-16.mga6
+ Revision: 857779
- corrected the log_dir spelling in the configure

* Sun Jun 21 2015 spuhler <spuhler> 1:7.0.5-15.mga6
+ Revision: 838097
- increased rel for building with the changes

* Sat May 30 2015 spuhler <spuhler> 1:7.0.5-14.1.mga6
+ Revision: 822809
- line ExecStartPre=/usr/sbin/bacula-checkconf $CONFIG removed in
 * bacula-fd.service
 * bacula-sd.service
- this fixes bug #16022

* Fri May 01 2015 spuhler <spuhler> 1:7.0.5-14.mga5
+ Revision: 820968
- added "Obsoletes: %%{_lib}baccats-mysql5 < 1:%%{version}-%%{release} to help upgrade"

* Tue Nov 25 2014 cjw <cjw> 1:7.0.5-13.mga5
+ Revision: 798924
- rebuild against postgresql9.4

* Sun Nov 16 2014 spuhler <spuhler> 1:7.0.5-12.mga5
+ Revision: 797395
- removed leftover Requires=syslog.target in bacula-sd.service file

* Wed Oct 15 2014 umeabot <umeabot> 1:7.0.5-11.mga5
+ Revision: 750867
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 spuhler <spuhler> 1:7.0.5-10.mga5
+ Revision: 725303
- added Obsoletes: webacula
 * This is a leftover from bacula-5.1.x
 * Bacula-7.x doesn't provide it anymore

* Thu Sep 18 2014 umeabot <umeabot> 1:7.0.5-9.mga5
+ Revision: 693475
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1:7.0.5-8.mga5
+ Revision: 678100
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Wed Aug 13 2014 spuhler <spuhler> 1:7.0.5-7.mga5
+ Revision: 662387
- added in Path section "%%define subsysdir %%{_localstatedir}/lock/subsys"
- corrected name  subsysdir in configure section
- changed user and group to bacula in bacula-xx-tempfiles.cong
- added additinal macros to section directories and paths
  * used those macros for paths
- corrected password creation and application
- removed line "Static uid/gid of 133 (see "setup" package)."
 * mga is not using static UID's and GID's

* Tue Aug 12 2014 spuhler <spuhler> 1:7.0.5-6.mga5
+ Revision: 661885
- corrected spelling of tmpfiles (tempfiles) and username

* Sat Aug 02 2014 spuhler <spuhler> 1:7.0.5-5.mga5
+ Revision: 659270
+ rebuild (emptylog)

* Fri Aug 01 2014 spuhler <spuhler> 1:7.0.5-4.mga5
+ Revision: 659036
- corrected spelling of tempfiles

* Fri Aug 01 2014 spuhler <spuhler> 1:7.0.5-3.mga5
+ Revision: 658835
- put automatically a random pwd into the /etc/bacula/tray-monitor

* Fri Aug 01 2014 spuhler <spuhler> 1:7.0.5-2.mga5
+ Revision: 658831
- put automatically a random pwd into the /etc/bacula/xxx.config files
- use mysql db as default instead of postgresql
- some cleaning

* Thu Jul 31 2014 spuhler <spuhler> 1:7.0.5-1.mga5
+ Revision: 658380
- upgrade to vers. 7.0.5
- harmonized with Fedora
- added bacula-checkconf to make certain the config files have been taken care of
- re-added the script to add passwords to all daemons
- used macros to add/delete user and group bacula

* Thu Jul 03 2014 spuhler <spuhler> 1:7.0.4-6.mga5
+ Revision: 642656
- corrected global __requires_exclude
-changed Requires: nagios-common to nagios

* Wed Jul 02 2014 spuhler <spuhler> 1:7.0.4-5.mga5
+ Revision: 642352
- more fixes of deps, obsoletes and libnames

* Tue Jul 01 2014 spuhler <spuhler> 1:7.0.4-4.mga5
+ Revision: 641723
- libs named per mageia policy
- daemons renamed to <= 5.2.13 versions
- all sql versions of bacula-dir are merged in one
  * added Obsoletes to remove the old bacula-dir (sql typees)

* Mon Jun 30 2014 spuhler <spuhler> 1:7.0.4-3.mga5
+ Revision: 641650
- aded missed epoch to the requires
- added missed "-n" to the libnames
- aded the epoch to the requires
- added the "-n" to the libnames

* Mon Jun 30 2014 spuhler <spuhler> 1:7.0.4-2.mga5
+ Revision: 641637
- removed the %%postun macros from fedora
 * to comply with magaia policy

* Mon Jun 30 2014 spuhler <spuhler> 1:7.0.4-1.mga5
+ Revision: 641483
- corrected missed groups
- corrected Group in all packages
- added BuildRequires: sqlite3-devel
- reversed removal of epoch
- corrected Group
- first release of 7 series (7.0.4)
- spec file based on Fedora
- removed the init system scripts
- reversed removal of 5.2.13-logwatch.patch file
- added 7.0.4 series patch files
- removed old patch file
- changed Mandriva to Mageia and the author
- removed old patch files
- removed old patch files
- deleted sig files of old sources
- added BuildRequires: sqlite3-devel
- added the tempfiles
- corrected the post sections
- changed the hardcoded UID
- re-added the epoch
- removed syslog in service files
- added desktop files from Fedora
- added patches from Fedora
- first release of version 7.0.2
 * spec based on Fedora

* Thu Apr 24 2014 spuhler <spuhler> 1:5.2.13-8.mga5
+ Revision: 617616
- removed the obsolete init stuff
- changed the logfile section

* Tue Apr 22 2014 spuhler <spuhler> 1:5.2.13-7.mga5
+ Revision: 617434
- changed user on /var/log/bacula

* Mon Apr 21 2014 spuhler <spuhler> 1:5.2.13-6.mga5
+ Revision: 617302
- removed invalid configure option
- removed init scripts, we use native systemd

* Sat Apr 19 2014 spuhler <spuhler> 1:5.2.13-5.mga5
+ Revision: 617085
- moved log from /usr/opt/log to var/log
- created the log dir
- added BuildRequires: openafs-devel-static
  * to make it build locally

* Sat Apr 19 2014 spuhler <spuhler> 1:5.2.13-4.mga5
+ Revision: 616917
- rebuild for mga4

* Wed Dec 18 2013 luigiwalser <luigiwalser> 1:5.2.13-3.mga4
+ Revision: 558629
- fix permissions of /etc/bacula in bacula-sd package

* Sat Oct 19 2013 umeabot <umeabot> 1:5.2.13-2.mga4
+ Revision: 528343
- Mageia 4 Mass Rebuild

* Tue Jun 18 2013 fwang <fwang> 1:5.2.13-1.mga4
+ Revision: 444606
- new version 5.2.13

* Mon Jan 21 2013 oden <oden> 1:5.2.12-4.mga3
+ Revision: 390427
- add systemd support from fedora
- various fixes
- fix #7846 (binaries are not include in package (while listed))

* Fri Jan 11 2013 umeabot <umeabot> 1:5.2.12-3.mga3
+ Revision: 346831
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 pterjan <pterjan> 1:5.2.12-2.mga3
+ Revision: 339578
- Fix for _libdir != _libexecdir

* Sun Sep 16 2012 oden <oden> 1:5.2.12-1.mga3
+ Revision: 294312
- fix some "empty-%%post" upload check
- 5.2.12
- drop redundant patches and rediff some
- deactivate P10, P13, P20 for now. seems redundant
- drop "bacula-web" you can get the latest from http://www.bacula-web.org/
- rework the backends as done from upstream and use update-alternatives
- use a more proper bacula libname using a major (5)
- deactivate the wxWindows stuff as it won't build
+ luigiwalser <luigiwalser>
- add various security-related patches from upstream
+ ahmad <ahmad>
- Rebuild against wxgtk2.8 with enabled catch_segvs

* Thu Mar 03 2011 ennael <ennael> 1:5.0.3-2.mga1
+ Revision: 63211
- clean spec file
- imported package bacula


* Sun Jan 09 2011 Luca Berra <bluca@mandriva.org> 1:5.0.3-2mdv2011.0
+ Revision: 630813
- updated to git snapshot 2010/12/13
- added sudoers.d file in order to allow use of smartctl in bacula-sd
- reworked mysql-lib patch and apply it only on 2011.0 and higer
- fix mtx-changer script, script permissions, and suggest mtx package with bacula-sd
- workaround for #59060 in order to stop old daemons when upgrading from bacula < 5.0
- correct wrong requires in bacula-gui-brestore (#62011)

* Tue Jan 04 2011 Funda Wang <fwang@mandriva.org> 1:5.0.3-1mdv2011.0
+ Revision: 628518
- drop unused BR and patch
- fix build with latest mysql
- fix linkage flags with wxwidgets
- another string format fix

  + Oden Eriksson <oeriksson@mandriva.com>
    - 5.0.3
    - rediff patches
    - drop the format string patch, added upstream
    - rebuilt against mysql-5.5.8 libs, again

* Thu Dec 30 2010 Oden Eriksson <oeriksson@mandriva.com> 1:5.0.2-4mdv2011.0
+ Revision: 626507
- rebuilt against mysql-5.5.8 libs

* Tue Nov 02 2010 Michael Scherer <misc@mandriva.org> 1:5.0.2-3mdv2011.0
+ Revision: 592409
- rebuild for python 2.7

* Mon Jun 14 2010 Luca Berra <bluca@mandriva.org> 1:5.0.2-2mdv2010.1
+ Revision: 547997
- backport fixes

* Thu Jun 03 2010 Luca Berra <bluca@mandriva.org> 1:5.0.2-1mdv2010.1
+ Revision: 547050
- update to 5.0.2 bugfix release (fixes many crashes in bacula)
- removed obsolete patches, which could have been harmful
- bacula-sd group should be tape
- set archivedir to /var/spool/bacula and add it to fd and sd packages
- fix condrestart in init scripts
- fix permissions of shared library files

* Tue May 25 2010 Luca Berra <bluca@mandriva.org> 1:5.0.1-5mdv2010.1
+ Revision: 546018
- fix pidfile usage in init scripts preventing stop/restart/status
- move service removal to bacula-dir-common %%postun allowing clean uninstall
- fix %%post for dir-common which did not run
- set correct permissions on files in /etc/bacula, allowing bacula to run correctly with dropped privs
- do a better work in upgrading from old database
- make create/upgrade db scripts less noisy
- fix buildhost appearing in configuration files
- cosmetic spec fixes

* Fri Apr 23 2010 Funda Wang <fwang@mandriva.org> 1:5.0.1-4mdv2010.1
+ Revision: 538203
- fix bug#58904 (wrong dir for reading bat.conf)

* Wed Apr 21 2010 Funda Wang <fwang@mandriva.org> 1:5.0.1-3mdv2010.1
+ Revision: 537575
- rebuild

  + Luca Berra <bluca@mandriva.org>
    - rework requires and %%pre/%%post
    - fix some_scripts_should_be_configuration_files
      add brestore gui
      allow upgrading form dir-sqlite to dir-sqlite3
      remove LICENSE file from packages, since they all require bacula-common
      install correct bat and bwx-console executables
      rework bat package
      add bpipe-fd plugin to fd package
      more spec fixes
    - fix loading of configuration file from /etc/bacula
      enable shared libraries, but force libbacsql to be statically linked in
      rework init scripts
      run as user bacula by default
      re-enable port number in pid file
      compile with openssl 1.0.0
      do not gzip manpages
      spec cosmetics

* Thu Mar 11 2010 Eugeni Dodonov <eugeni@mandriva.com> 1:5.0.1-1mdv2010.1
+ Revision: 518184
- Updated to 5.0.1.
- Drop/rediff patches.
- Drop sqlite2 version (dropped upstream).
- Drop console-gnome (dropped upstream).
- Always compile sqlite3 version

* Thu Feb 18 2010 Oden Eriksson <oeriksson@mandriva.com> 1:3.0.3-4mdv2010.1
+ Revision: 507518
- rebuild

* Thu Feb 04 2010 Luca Berra <bluca@mandriva.org> 1:3.0.3-3mdv2010.1
+ Revision: 500658
- correct requires for bacula-gui-web (#57386)

* Tue Oct 27 2009 Eugeni Dodonov <eugeni@mandriva.com> 1:3.0.3-2mdv2010.0
+ Revision: 459568
- Ensure that passwords are properly handled when upgraded from previous bacula
  versions.

* Sun Oct 25 2009 Eugeni Dodonov <eugeni@mandriva.com> 1:3.0.3-1mdv2010.0
+ Revision: 459203
- Updated to 3.0.3.

* Fri Jul 31 2009 Oden Eriksson <oeriksson@mandriva.com> 1:3.0.2-5mdv2010.0
+ Revision: 405255
- neutralize the generated config files

  + Michael Scherer <misc@mandriva.org>
    - fix license

* Thu Jul 23 2009 Eugeni Dodonov <eugeni@mandriva.com> 1:3.0.2-4mdv2010.0
+ Revision: 398765
- Updated to 3.0.2.
  Reworked spec based on MES5 improvements.

* Fri Jan 09 2009 Jérôme Soyer <saispo@mandriva.org> 1:2.4.4-1mdv2009.1
+ Revision: 327435
- New upstream release
  Remove patch108 about python, it's fixed upstream

* Sun Dec 28 2008 Adam Williamson <awilliamson@mandriva.org> 1:2.4.3-4mdv2009.1
+ Revision: 320090
- add python26.patch: fix build with python 2.6
- change build deps to build against wx (unicode) 2.8, not non-unicode 2.6
- add literal.patch (fix string literal errors)
- fix a unicode-related problem in config.diff
- rediff cats.diff (as cats.patch)

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sun Dec 07 2008 Funda Wang <fwang@mandriva.org> 1:2.4.3-3mdv2009.1
+ Revision: 311574
- rebuild for new mysql

* Tue Oct 14 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.4.3-2mdv2009.1
+ Revision: 293581
- fix #44848 (bacula (all components) crashes with "buffer overflow detected")

* Mon Oct 13 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.4.3-1mdv2009.1
+ Revision: 293181
- 2.4.3
- drop obsolete patches; P11

* Sun Jul 27 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.4.2-1mdv2009.0
+ Revision: 250661
- 2.4.2

* Thu Jul 10 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.4.1-2mdv2009.0
+ Revision: 233495
- rebuild

* Thu Jul 10 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.4.1-1mdv2009.0
+ Revision: 233356
- 2.4.1

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun Jun 08 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.4.0-1mdv2009.0
+ Revision: 216817
- rebuild

* Fri Jun 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.4.0-0.1mdv2009.0
+ Revision: 216513
- 2.4.0
- drop upstream implemented patches
- rediff patches
- hard code %%{_localstatedir}/lib
- fix linkage order with P16

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Tue May 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.2.8-7mdv2009.0
+ Revision: 201822
- added P54 from the official patches

* Thu Feb 28 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.2.8-6mdv2008.1
+ Revision: 176208
- rediffed P50,P51
- added upstream patches
- fix the conditional old menu stuff

* Thu Feb 28 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.2.8-5mdv2008.1
+ Revision: 175984
- make it backportable (old menu stuff)

* Fri Feb 01 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.2.8-4mdv2008.1
+ Revision: 161147
- added the nagios-check_bacula sub package

* Fri Feb 01 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.2.8-3mdv2008.1
+ Revision: 161043
- move the menu entries to "Tools -> System Tools"

* Fri Feb 01 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.2.8-2mdv2008.1
+ Revision: 161036
- fix the xdg menu, it was missing Utility; in there

* Sun Jan 27 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.2.8-1mdv2008.1
+ Revision: 158728
- 2.2.8 (Major bugfixes)

* Wed Jan 23 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.2.7-3mdv2008.1
+ Revision: 157171
- some scripts actually should be tagged as configuration files
  and put in /erc/bacula/scripts because they could be customized
  and otherwise be lost during upgrades
- fix more deps

* Tue Jan 22 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.2.7-2mdv2008.1
+ Revision: 156523
- sqlite3-3.4.2+ is needed

  + Luca Berra <bluca@mandriva.org>
    - fix bgnome-console configuration file name (#36665)

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu

* Thu Dec 27 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.2.7-1mdv2008.1
+ Revision: 138489
- add the new bacula-gui as well
- 2.2.7

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - revert bogus bit
    - buildrequires X11-devel instead of XFree86-devel

* Mon Nov 12 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.2.6-1mdv2008.1
+ Revision: 108128
- 2.2.6

* Thu Oct 11 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.2.5-1mdv2008.1
+ Revision: 97134
- 2.2.5

* Tue Sep 18 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.2.4-2mdv2008.0
+ Revision: 89512
- fix deps and typos
- make it backportable (disables bat and tray-monitor build)

* Mon Sep 17 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.2.4-1mdv2008.0
+ Revision: 89072
- 2.2.4
- 2.2.3
- handle config file on upgrade for the console-wx sub package

* Mon Sep 10 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.2.2-3mdv2008.0
+ Revision: 84115
- added P15 to fix upstream bug 935

* Sat Sep 08 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.2.2-2mdv2008.0
+ Revision: 82407
- fix build deps (libqwt-devel >= 5.0.2)
- fix build
- enable bat

* Fri Sep 07 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.2.2-1mdv2008.0
+ Revision: 81518
- 2.2.2

* Mon Sep 03 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.2.1-0.0.0mdv2008.0
+ Revision: 78798
- rediffed all patches, addedd some stuff

* Wed Apr 25 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.3-1mdv2008.0
+ Revision: 18172
- 2.0.3


* Sat Feb 17 2007 Luca Berra <bluca@mandriva.org> 2.0.2-2mdv2007.0
+ Revision: 122089
- fix build using --without options
- fix build when tcp_wrapper is a static library
- build multiple directors to support different databases
- add support for sqlite3 database backend
- move bscan to director package, since it is db dependent
- do not link bcopy to database libs
- rework db upgrade scriplets, so it is more difficult to forget next time
- force all daemons to bind only to localhost by default
- minor fixes to some scripts

* Wed Jan 31 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.2-1mdv2007.1
+ Revision: 115678
- 2.0.2

* Mon Jan 15 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.1-1mdv2007.1
+ Revision: 109211
- 2.0.1

* Fri Jan 05 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.0-1mdv2007.1
+ Revision: 104504
- 2.0.0
- rediffed patches, nuked obsolete patches, added new patches
- fixed up the bacula-web package a bit

* Fri Dec 22 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.38.11-4mdv2007.1
+ Revision: 101520
- fixed deps
- make it find latest python (P6)
- activate tcp_wrappers per default
- activate tls support as it's permitted per LICENSE
- added the tray-monitor sub package
- update the compatability macros
- fixed the xdg menu stuff
- Import bacula

* Sat Jul 08 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.38.11-3mdv2007.0
- broke out the docs

* Mon Jul 03 2006 Luca Berra <bluca@vodka.it> 1:1.38.11-2mdv2007.0
- upgrade bacula database to version 9 on install
- also create random monitor passwords on install or upgrade
- simplify db related macros in spec

* Sun Jul 02 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.38.11-1mdv2007.0
- 1.38.11 (Major bugfixes)

* Wed Jun 14 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.38.10-1mdv2007.0
- 1.38.10
- misc spec file fixes
- use wxGTK2.6
- make it backportable for older pam (S6,S7)

* Tue Apr 18 2006 Luca Berra <bluca@vodka.it> 1.38.8-1mdk
- 1.38.8
- allow rescue, gui and docs to be different version than bacula
- do not requiere mysqlserver for the gui (could well be on a different host)
- fix description for postgres builds
- conditional build of gui and docs

* Thu Mar 02 2006 Nicolas Chipaux <chipaux@mandriva.com> 1.38.5-2mdk
- split docs
- merge bacula-gui
- merge bacula-bimagemgr
- add missing BuildRequires
- disable tcpwrapper in default build

* Wed Mar 01 2006 Nicolas Chipaux <chipaux@mandriva.com> 1.38.5-1mdk
- 1.38.5
- merge bacula-doc

* Fri Mar 18 2005 Luca Berra <bluca@vodka.it> 1.36.2-1mdk
- 1.36.2

* Sat Jan 15 2005 Luca Berra <bluca@vodka.it> 1.36.1-1mdk 
- 1.36.1
- use distro specific release tags
- rediff p0, p1
- fix non existent macro %%elsf (Pascal Cavy)
- do not require MySQL server but MySQL-client (Pascal Cavy)
- require postgresql
- use wxGTK2.5

* Mon Jun 28 2004 Luca Berra <bluca@vodka.it> 1.34.5-1mdk 
- 1.34.5
- added manpages (stolen from debian package)

* Tue Jun 22 2004 Luca Berra <bluca@vodka.it> 1.34.4-1mdk 
- 1.34.4
- switched back to wxWindows-2.4

* Sat Jun 05 2004 Luca Berra <bluca@vodka.it> 1.34.3-0.cvs.20040604mdk 
- 1.34.2 cvs

* Wed Apr 28 2004 Luca Berra <bluca@vodka.it> 1.34.2-1mdk 
- 1.34.2 release
- dropped p4, p5

* Sun Apr 25 2004 Luca Berra <bluca@vodka.it> 1.34.1-1 
- 1.34.1 release
- bscan fix from cvs

* Mon Apr 19 2004 Luca Berra <bluca@vodka.it> 1.34.1-0.cvs.20040418mdk 
- update to 1.34.1 from cvs
- rediffed p0, p2 added p3
- readline is not used anymore, so remove p1
- termcap-devel BuildRequires for console
- console binary was renamed to bconsole
- tools can be run with usermode consolehelper
- reworked db update logic
- added wxWindows gui

* Thu Feb 26 2004 Luca Berra <bluca@vodka.it> 1.32f-2mdk 
- added patches 1 to 4 from upstream
- split bacula-common package to ease upgrades
- some cleanups
- use epochs in requires

